Saltar al contenido principal
GET
/
api
/
v2
/
dashboards
/
{id}
Obtener dashboard
curl --request GET \
  --url https://api.hyperdx.io/api/v2/dashboards/{id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.hyperdx.io/api/v2/dashboards/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.hyperdx.io/api/v2/dashboards/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": {
    "id": "65f5e4a3b9e77c001a567890",
    "name": "Infrastructure Monitoring",
    "tags": [
      "infrastructure",
      "monitoring"
    ],
    "tiles": [
      {
        "asRatio": false,
        "h": 3,
        "id": "65f5e4a3b9e77c001a901234",
        "name": "Server CPU",
        "series": [
          {
            "aggFn": "avg",
            "dataSource": "metrics",
            "field": "cpu.usage",
            "groupBy": [],
            "type": "time",
            "where": "host:server-01"
          }
        ],
        "w": 6,
        "x": 0,
        "y": 0
      },
      {
        "asRatio": false,
        "h": 3,
        "id": "65f5e4a3b9e77c001a901235",
        "name": "Memory Usage",
        "series": [
          {
            "aggFn": "avg",
            "dataSource": "metrics",
            "field": "memory.usage",
            "groupBy": [],
            "type": "time",
            "where": "host:server-01"
          }
        ],
        "w": 6,
        "x": 6,
        "y": 0
      }
    ]
  }
}
{
  "message": "Unauthorized access. API key is missing or invalid."
}
{
  "message": "Dashboard not found"
}

Autorizaciones

Authorization
string
header
requerido

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parámetros de ruta

id
string
requerido

ID del dashboard

Respuesta

Dashboard obtenido correctamente

data
object
Última modificación el 3 de julio de 2026